| LicenseSpring Management .Net SDK 1.16.1 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LicenseSpring.CustomerService Class Reference

Implements `ICustomerService` interface. More...

Inheritance diagram for LicenseSpring.CustomerService:

## Public Member Functions
void | AddLabelToCustomer (uint labelId, ulong customerId)
  | Adds a label to customer. Parameters
  labelId | Id of the label to add.
  customerId | Id of the customer to be updated.
Customer | CreateCustomer (CreateCustomerDto dto)
  | Creates a new customer. Parameters
  dto | Customer dto with information about new customer.
CustomerAccount | CreateCustomerAccount (CustomerAccount account)
  | Creates a customer account if requesting manager has access permissions to it. Parameters
  account | Customer account to create. The Code field is required and must be unique.
CustomerLabel | CreateCustomerLabel (CustomerLabel label)
  | Creates a customer label. Parameters
  label | Label to create.
string | DeleteCustomer (ulong customerId)
  | Deletes the customer. Parameters
  customerId | The Id of the customer that will be deleted.
void | DeleteCustomerAccount (CustomerAccount account)
  | Deletes a customer account. Parameters
  account | Customer account to delete. The Id field must be set.
void | DeleteCustomerLabel (CustomerLabel label)
  | Deletes a customer label. Parameters
  label | Label to delete.
Customer | EditCustomer (Customer customer)
  | Updates information about a customer. Parameters
  customer | Customer that was updated.
CustomerAccount | EditCustomerAccount (CustomerAccount account)
  | Updates a customer account if requesting manager has access permissions to it. Parameters
  account | Customer account with updated fields. The Id field must be set; if the Code field is set, it must be unique.
CustomerLabel | EditCustomerLabel (CustomerLabel label)
  | Updates information about a customer label. Parameters
  label | Label that was updated.
CustomerAccount[] | ListCustomerAccounts (BaseListDto dto, out uint Count)
  | Shows all customer accounts the requesting manager has access permissions to. Parameters
  dto | Data transfer object that is used for searching through all customer accounts.
  count | Quantity of customers, use for iteration of the result pages.
CustomerLabel[] | ListCustomerLabels (BaseListDto dto, out uint Count)
  | Returns all customer labels. Parameters
  dto | Data transfer object that is used for searching through all customer labels.
  count | Quantity of customers, use for iteration of the result pages.
Customer[] | ListCustomers (ListCustomersRequestDto dto, out uint Count)
  | Returns all customers. Parameters
  dto | Data transfer object that is used for searching through all customers.
  count | Quantity of customers, use for iteration of the result pages.
string | MergeCustomers (ulong customerId, ulong customerToMergeId)
| Merges once customer into another if requesting manager has access permissions to it.Updates customer on all orders from the customer to merge to the customer provided in the first parameter and deletes the customer to merge.
void | RemoveLabelFromCustomer (CustomerLabel label)
  | Removes a label from customer. Parameters
  label | Label to be removed.
Public Member Functions inherited from LicenseSpring.BaseService
void | Initialize (ManagementConfiguration configuration)
  | Initialize management service with given configuration. Parameters
  configuration | ManagementConfiguration object to use
  Exceptions
  System.ArgumentNullException | Thrown when configuration is null
bool | IsInitialized ()
| Check whether management service has been initialized. Returns True if management service has been initialized and ready to use or false otherwise
bool | IsOnline (bool throwExceptions=false)
  | Helper method, it checks connection to the LicenseSpring platform. Parameters
  throwExceptions | Boolean value indicating whether this method should throw exceptions, by default it's false.
  Returns True if SDK is able to connect to the LicenseSpring platform and false otherwise. Exceptions
  System.InvalidOperationException | Thrown when license manager is not initialized
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.

## Detailed Description

Implements `ICustomerService` interface.

## Member Function Documentation

## ◆ AddLabelToCustomer()

void LicenseSpring.CustomerService.AddLabelToCustomer | ( | uint | labelId,
|  | ulong | customerId
| ) |  |

Adds a label to customer.

Parameters

  labelId | Id of the label to add.
  customerId | Id of the customer to be updated.

Implements LicenseSpring.ICustomerService.

## ◆ CreateCustomer()

Customer LicenseSpring.CustomerService.CreateCustomer | ( | CreateCustomerDto | dto | ) |

Creates a new customer.

Parameters

  dto | Customer dto with information about new customer.

Implements LicenseSpring.ICustomerService.

## ◆ CreateCustomerAccount()

CustomerAccount LicenseSpring.CustomerService.CreateCustomerAccount | ( | CustomerAccount | account | ) |

Creates a customer account if requesting manager has access permissions to it.

Parameters

  account | Customer account to create. The Code field is required and must be unique.

Implements LicenseSpring.ICustomerService.

## ◆ CreateCustomerLabel()

CustomerLabel LicenseSpring.CustomerService.CreateCustomerLabel | ( | CustomerLabel | label | ) |

Creates a customer label.

Parameters

  label | Label to create.

Implements LicenseSpring.ICustomerService.

## ◆ DeleteCustomer()

string LicenseSpring.CustomerService.DeleteCustomer | ( | ulong | customerId | ) |

Deletes the customer.

Parameters

  customerId | The Id of the customer that will be deleted.

Implements LicenseSpring.ICustomerService.

## ◆ DeleteCustomerAccount()

void LicenseSpring.CustomerService.DeleteCustomerAccount | ( | CustomerAccount | account | ) |

Deletes a customer account.

Parameters

  account | Customer account to delete. The Id field must be set.

Implements LicenseSpring.ICustomerService.

## ◆ DeleteCustomerLabel()

void LicenseSpring.CustomerService.DeleteCustomerLabel | ( | CustomerLabel | label | ) |

Deletes a customer label.

Parameters

  label | Label to delete.

Implements LicenseSpring.ICustomerService.

## ◆ EditCustomer()

Customer LicenseSpring.CustomerService.EditCustomer | ( | Customer | customer | ) |

Updates information about a customer.

Parameters

  customer | Customer that was updated.

Implements LicenseSpring.ICustomerService.

## ◆ EditCustomerAccount()

CustomerAccount LicenseSpring.CustomerService.EditCustomerAccount | ( | CustomerAccount | account | ) |

Updates a customer account if requesting manager has access permissions to it.

Parameters

  account | Customer account with updated fields. The Id field must be set; if the Code field is set, it must be unique.

Implements LicenseSpring.ICustomerService.

## ◆ EditCustomerLabel()

CustomerLabel LicenseSpring.CustomerService.EditCustomerLabel | ( | CustomerLabel | label | ) |

Updates information about a customer label.

Parameters

  label | Label that was updated.

Implements LicenseSpring.ICustomerService.

## ◆ ListCustomerAccounts()

CustomerAccount[] LicenseSpring.CustomerService.ListCustomerAccounts | ( | BaseListDto | dto,
|  | out uint | Count
| ) |  |

Shows all customer accounts the requesting manager has access permissions to.

Parameters

  dto | Data transfer object that is used for searching through all customer accounts.
  count | Quantity of customers, use for iteration of the result pages.

Implements LicenseSpring.ICustomerService.

## ◆ ListCustomerLabels()

CustomerLabel[] LicenseSpring.CustomerService.ListCustomerLabels | ( | BaseListDto | dto,
|  | out uint | Count
| ) |  |

Returns all customer labels.

Parameters

  dto | Data transfer object that is used for searching through all customer labels.
  count | Quantity of customers, use for iteration of the result pages.

Implements LicenseSpring.ICustomerService.

## ◆ ListCustomers()

Customer[] LicenseSpring.CustomerService.ListCustomers | ( | ListCustomersRequestDto | dto,
|  | out uint | Count
| ) |  |

Returns all customers.

Parameters

  dto | Data transfer object that is used for searching through all customers.
  count | Quantity of customers, use for iteration of the result pages.

Implements LicenseSpring.ICustomerService.

## ◆ MergeCustomers()

string LicenseSpring.CustomerService.MergeCustomers | ( | ulong | customerId,
|  | ulong | customerToMergeId
| ) |  |

Merges once customer into another if requesting manager has access permissions to it.Updates customer on all orders from the customer to merge to the customer provided in the first parameter and deletes the customer to merge.

Implements LicenseSpring.ICustomerService.

## ◆ RemoveLabelFromCustomer()

void LicenseSpring.CustomerService.RemoveLabelFromCustomer | ( | CustomerLabel | label | ) |

Removes a label from customer.

Parameters

  label | Label to be removed.

Implements LicenseSpring.ICustomerService.

The documentation for this class was generated from the following file:

- CustomerService.cs